# Справочник компьютерщика
Приветствую и добро пожаловать! Если вы пришли сюда, то либо сделали это случайно, либо хотите [собрать свой первый компьютер](getting_started.md), или, возможно, вы ищете информацию о каком-то [блоке](block/index.md) или [предмете](item/index.md)?

## Обзор
[Компьютеры](block/computer.md) предлагают множество способов применения, от развлекательных до крупномасштабных, гибко настраиваемых средств автоматизации других машин и устройств.

Основой каждого компьютера является Операционная Система (ОС). Поэтому вам предоставляется наипростейший дистрибутив Linux. Он содержит в себе основные команды, а также позволяет писать и запускать программы на Lua.

Lua очень удобен, когда дело касается работы с устройствами с высокоуровневым API (HLAPI), такими как [красный интерфейсный блок](block/redstone_interface.md). Вместе со стандартными библиотеками ОС, для работы с такими устройствами поставляется библиотека `devices`. Чтобы узнать больше о работе с HLAPI устройствами в Lua, смотрите раздел [скрипты](scripting.md).

С другой стороны здесь есть нативные устройства, такие как [жесткие диски](item/hard_drive.md) и [сетевая интерфейсная карта](item/network_interface_card.md). Эти устройства контролируются драйверами Linux и требуют перезагрузки системы при их установке или удалении. Хотя большинство устройств, с которыми вы столкнетесь, работают по стандарту HLAPI, но все же.

## Руководство для начинающих
Если вы хотите быстро разобраться во всем, читайте [руководство для начинающих](getting_started.md). Оно содержит пошаговую инструкцию по сборке вашего первого компьютера и работе с ним. Чтобы узнать о чем-то больше, пройдите по ссылкам на страницы в разделе "Ссылки". 

## Ссылки
Инструкция содержит информацию о блоках и предметах, присутствующих в этом моде.

Если вас интересует данная информация, загляните сюда:
- [Список блоков](block/index.md)
- [Список предметов](item/index.md)

Если вам интересна информация о основных механиках мода, то вам сюда:
- [Основы](basics.md)
- [Скрипты](scripting.md)
- [Роботы](robotics.md)
- [Сети](networking.md)