# Сети
Чтобы настроить сеть на [компьютере](block/computer.md), используйте [сетевые разъемы](block/network_connector.md) и [сетевые кабели](item/network_cable.md) для соединения разъемов. И убедитесь, что в каждом компьютере будущей сети установлена [сетевая интерфейсная карта](item/network_interface_card.md).

Разъемы можно подключить к любой стороне компьютера, кроме лицевой. Они позволяют сетевой карте обмениваться пакетами с картами других компьютеров.

Разъемы, соединенные друг с другом кабелями, будут обмениваться пакетами друг с другом. Для более сложных сетей воспользуйтесь [сетевым концентратором](block/network_hub.md). Он позволяет создавать соединения между кучей компьютеров.

## Прыжки
Сетевые пакеты имеют лимит на количество "прыжков". Прыжком обычно считают одну операцию перемещения пакета. Например, разъем передает пакет за один прыжок. Сетевой концентратор передает пакет на каждый разъем (за исключением разъема-отправителя) за тот же один прыжок. Когда количество оставшихся прыжков становится нулевым, пакет перестает передаваться. Это предотвращает зацикливание пакетов в цикличных сетях. Такой вот защитный механизм. И все же не стоит делать циклы в сетях, поскольку это приведет к дублированию пакетов у принимающих компьютеров.

## Настройка компьютера
Для настройки сети на компьютере убедитесь, что сетевая карта установлена. Затем, в стандартном дистрибутиве Linux запустите команду `setup-network.lua`. Данный мастер поможет вам настроить подключение к сети. Ну а если вы опытный человек, то можете сами настроить сеть, как в обычном Linux.

## DHCP
DHCP это протокол, позволяющий облегчить настройку сети. Достаточно иметь один компьютер с вручную настроенным статическим адресом и DHCP сервером, как все остальные компьютеры в сети смогут получать адреса автоматически. Перед настройкой убедитесь, что у вас нет других компьютеров с DHCP сервером. И проверьте, нет ли компьютеров, имеющих статические адреса в диапазоне выдаваемых DHCP сервером IP адресов.

## Инструменты
После настройки сети и объединения компьютеров в нее, вы получаете кучу преимуществ. Например, вы можете копировать файлы между компьютерами через утилиту `scp`, подключаться к удаленным компьютерам через `ssh` и писать свои сетевые программы на Lua с помощью библиотеки `socket`. За примерами по использованию библиотеки `socket` загляните в [примеры на официальном репозитории](https://github.com/diegonehab/luasocket/tree/master/samples).